Subject: bug#55549: closed (Re: bug#55549: Parted 3.5 update breaks installer tests)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 05 Aug 2022 07:03:02 +0000

Your bug report

#55549: Parted 3.5 update breaks installer tests

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55549: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55549
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55549: Parted 3.5 update breaks installer tests
From: Mathieu Othacehe <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Fri, 05 Aug 2022 09:02:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey Ludo,

> Mathieu, I’m guessing the cause of the problem, when using Parted 4.5,
> is that the installer partitions disks somewhat incorrectly, as reported
> by ‘grub-install’.  I wonder if it might be due to an API or ABI change
> that goes unnoticed in Guile-Parted because it uses the FFI.

This is caused by a regression in Parted 3.5 introduced by
15c49ec04f7eaff014d2e1eddd0aecf4150db63d.

The gpt_partition_set_system call can undo what's done by
gpt_partition_set_flag call. This imposes us to reverse the call order
and make sure that gpt_partition_set_system is called before
gpt_partition_set_flag.

Fixed with: 3c381af76a144a4dc3d0f9269f43ee2ec501b538. I think we can
report that one upstream.

Thanks,

Mathieu

Subject: Parted 3.5 update breaks installer tests
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Fri, 20 May 2022 23:30:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

The ‘gui-installed-os’ broke:

  https://ci.guix.gnu.org/search?query=gui-installed-os%20system:x86_64-linux&border-high-id=803430

… between:

  https://ci.guix.gnu.org/eval/304279 (commit 1ebc27475cc310d6f9dd154b6b6893918f604c09)
  and
  https://ci.guix.gnu.org/eval/313358 (commit a1cb645d83d085382eaf64f4c097642aa47c297a)

The symptoms are:

--8<---------------cut here---------------start------------->8---
May 12 16:57:17 localhost installer[230]: guix system: error: '/gnu/store/vcljh4z0zkwplsx3b131vzc894rb3vll-grub-2.06/sbin/grub-install --no-floppy --target=i386-pc --boot-directory /mnt/boot /dev/vda' exited with status 1; output follows:
May 12 16:57:17 localhost installer[230]:  
May 12 16:57:17 localhost installer[230]:   Installing for i386-pc platform. 
May 12 16:57:17 localhost installer[230]:   /gnu/store/vcljh4z0zkwplsx3b131vzc894rb3vll-grub-2.06/sbin/grub-install: warning: this GPT partition label contains no BIOS Boot Partition; embedding won't be possible. 
May 12 16:57:17 localhost installer[230]:   /gnu/store/vcljh4z0zkwplsx3b131vzc894rb3vll-grub-2.06/sbin/grub-install: warning: Embedding is not possible.  GRUB can only be installed in this setup by using blocklists.  However, blocklists are UNRELIABLE and their use is discouraged.. 
May 12 16:57:17 localhost installer[230]:   /gnu/store/vcljh4z0zkwplsx3b131vzc894rb3vll-grub-2.06/sbin/grub-install: error: will not proceed with blocklists. 
May 12 16:57:17 localhost installer[230]:  
May 12 16:57:17 localhost installer[230]: command ("guix" "system" "init" "--fallback" "--no-grafts" "--no-substitutes" "/mnt/etc/config.scm" "/mnt") exited with value 1 
conversation expecting pattern ((quote installation-complete))
May 12 16:57:17 localhost shepherd[1]: Service guix-daemon has been stopped. 
May 12 16:57:17 localhost shepherd[1]: Service guix-daemon has been started. 
May 12 16:57:17 localhost installer[196]: unmounting "/mnt/" 
/gnu/store/vfizn85zmzfs4k8wd1mviwrhjqc5zmac-shepherd-marionette.scm:1:1718: ERROR:
  1. &pattern-not-matched:
      pattern: ((quote installation-complete))
      sexp: (installation-failure)
--8<---------------cut here---------------end--------------->8---

Reverting the following commits solves the problem:

  9a867c26b0 gnu: parted: Use G-expressions & new input style.
  d798e5b6c1 gnu: parted: Update to 3.5.

The “installed-os” test, which performs a manual installation using the
‘parted’ command-line tool for partitioning, is unaffected.

Thoughts?

Ludo’.